# eric4.KdeQt.KQProgressDialog

Compatibility module to use the KDE Progress Dialog instead of the Qt Progress Dialog.

### Global Attributes

None

### Classes

__kdeKQProgressDialog | Compatibility class to use the KDE Progress Dialog instead of the Qt Progress Dialog.
__qtKQProgressDialog | Compatibility class to use the Qt Progress Dialog.

### Functions

KQProgressDialog | Public function to instantiate a progress dialog object.

## __kdeKQProgressDialog

Compatibility class to use the KDE Progress Dialog instead of the Qt Progress Dialog.

### Derived from

KProgressDialog

### Class Attributes

None

### Class Methods

None

### Methods

__kdeKQProgressDialog | Constructor
reset | Public slot to reset the progress bar.
setLabel | Public method to set the dialog's label.
setMaximum | Public slot to set the maximum value of the progress bar.
setMinimum | Public slot to set the minimum value of the progress bar.
setValue | Public slot to set the current value of the progress bar.
wasCanceled | Public slot to check, if the dialog was canceled.

### Static Methods

None

#### __kdeKQProgressDialog (Constructor)

__kdeKQProgressDialog(labelText, cancelButtonText, minimum, maximum, parent = None, f = Qt.WindowFlags(Qt.Widget))

Constructor

labelText
  text to show in the progress dialog (QString)
cancelButtonText
  text to show for the cancel button or None to disallow cancellation and to hide the cancel button (QString)
minimum
  minimum value for the progress indicator (integer)
maximum
  maximum value for the progress indicator (integer)
parent
  parent of the progress dialog (QWidget)
f
  window flags (ignored) (Qt.WindowFlags)

#### __kdeKQProgressDialog.reset

reset()

Public slot to reset the progress bar.

#### __kdeKQProgressDialog.setLabel

setLabel(label)

Public method to set the dialog's label.

Note: This is doing nothing.

label
  label to be set (QLabel)

#### __kdeKQProgressDialog.setMaximum

setMaximum(maximum)

Public slot to set the maximum value of the progress bar.

maximum
  maximum value for the progress indicator (integer)

#### __kdeKQProgressDialog.setMinimum

setMinimum(minimum)

Public slot to set the minimum value of the progress bar.

minimum
  minimum value for the progress indicator (integer)

#### __kdeKQProgressDialog.setValue

setValue(value)

Public slot to set the current value of the progress bar.

value
  progress value to set

#### __kdeKQProgressDialog.wasCanceled

wasCanceled()

Public slot to check, if the dialog was canceled.

Returns:
  flag indicating, if the dialog was canceled (boolean)

Up

## __qtKQProgressDialog

Compatibility class to use the Qt Progress Dialog.

### Derived from

QProgressDialog

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## KQProgressDialog

KQProgressDialog(labelText, cancelButtonText, minimum, maximum, parent = None, f = Qt.WindowFlags(Qt.Widget))

Public function to instantiate a progress dialog object.

labelText
  text to show in the progress dialog (QString)
cancelButtonText
  text to show for the cancel button or None to disallow cancellation and to hide the cancel button (QString)
minimum
  minimum value for the progress indicator (integer)
maximum
  maximum value for the progress indicator (integer)
parent
  reference to the parent widget (QWidget)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  reference to the progress dialog object

Up